Bug 1494183 - not compatible with ansible 2.4
Summary: not compatible with ansible 2.4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ansible-lint
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-21 15:33 UTC by James Hogarth
Modified: 2017-10-10 20:48 UTC (History)
2 users (show)

Fixed In Version: ansible-lint-3.4.15-1.fc27 ansible-lint-3.4.15-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-30 06:46:57 UTC


Attachments (Terms of Use)

Description James Hogarth 2017-09-21 15:33:08 UTC
Description of problem:
Ansible 2.4.0 is due to land in Fedora "soon"

https://bodhi.fedoraproject.org/updates/ansible-2.4.0.0-1.fc26

The version currently in F26 (3.4.13) is not compatible with this release.

https://github.com/willthames/ansible-lint/commits/master

ansible-lint --help
Traceback (most recent call last):
  File "/usr/bin/ansible-lint", line 11, in <module>
    load_entry_point('ansible-lint==3.4.13', 'console_scripts', 'ansible-lint')()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 563, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2651, in load_entry_point
    return ep.load()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2305, in load
    return self.resolve()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2311, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/usr/lib/python2.7/site-packages/ansiblelint/__init__.py", line 28, in <module>
    import ansiblelint.utils
  File "/usr/lib/python2.7/site-packages/ansiblelint/utils.py", line 53, in <module>
    from ansible.plugins import module_loader
ImportError: cannot import name module_loader

This needs to be updated to 3.4.15 ASAP in F25, F26 and F27 to remain compatible with the ansible packaged in Fedora.

Comment 1 Parag Nemade 2017-09-21 16:18:38 UTC
Will update to required version now

Comment 2 Parag Nemade 2017-09-22 01:16:18 UTC
Today all the builds will be available in their updates-testing repository.

Comment 3 Fedora Update System 2017-09-22 01:26:21 UTC
ansible-lint-3.4.15-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7588b1d6c5

Comment 4 Fedora Update System 2017-09-22 05:17:59 UTC
ansible-lint-3.4.15-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b2841c0c4e

Comment 5 Fedora Update System 2017-09-22 23:49:43 UTC
ansible-lint-3.4.15-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7588b1d6c5

Comment 6 Parag Nemade 2017-09-29 12:24:42 UTC
This update has been pushed to stable now for F25, F26, F27 now.
Awaiting epel7 update to finish its waiting in updates-testing repository so that I can push it to epel7 stable.

Comment 7 Parag Nemade 2017-09-29 12:25:42 UTC
ah let me correct I submitted those Fedora updates for stable now so they will take some time to reach stable repository.

Comment 8 Fedora Update System 2017-09-30 06:46:57 UTC
ansible-lint-3.4.15-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-10-10 20:48:37 UTC
ansible-lint-3.4.15-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.